#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  v4l-utils-1.20.0

- Next

  x265-3.4

- Up
- Home

# x264-20210211

## Introduction to x264

x264 package provides a library for encoding video streams into the H.264/MPEG-4 AVC format.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): http://anduin.linuxfromscratch.org/BLFS/x264/x264-20210211.tar.xz

- Download MD5 sum: ddf3bfda70980b22ff8b9248b92929c7

- Download size: 668 KB

- Estimated disk space required: 14 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### x264 Dependencies

#### Recommended

NASM-2.15.05

#### Optional

ffms2, gpac or liblsmash

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/x264

## Installation of x264

Install x264 by running the following commands:

    ./configure --prefix=/usr \
                --enable-shared \
                --disable-cli &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-cli`: This switch disables building the command-line encoder which is redundant since it requires FFmpeg for most of the input formats.

`--disable-asm`: Use this switch if you didn't install NASM.

## Contents

Installed Programs: None
Installed Library: libx264.so
Installed Directory: None

### Short Descriptions

`libx264.so` | provides the functions used to encode video streams into the H.264/MPEG-4 AVC format

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  v4l-utils-1.20.0

- Next

  x265-3.4

- Up
- Home